
Katello - Bug #6425

RFE: Return more information from hammer repository list cli command

06/27/2014 07:10 PM - Adam Price

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1082761 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1082761

Description of problem:

Current implementation of hammer repository list command only returns the repo ID and label. It would be useful to return at least the

repository name, url, and type

1. hammer repository list --organization-id='ACME_Corporation'

---|------

ID | LABEL

---|------

36 | bar

35 | foo

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-compute-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-libvirt-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-postgresql-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-proxy-1.5.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-19.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.31-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-4.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-5.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-11.el6sat.noarch

How reproducible:

Steps to Reproduce:

1.  hammer -v repository create --name='foo' --enabled='true' --content-type='yum' --product-id=90 --publish-via-http='true'

--feed=http://omaciel.fedorapeople.org/fakerepo01/

2.  hammer -v repository create --name='bar' --enabled='false' --content-type='yum' --product-id=90 --publish-via-http='true'

--feed=http://omaciel.fedorapeople.org/fakerepo02/

3.  hammer repository list

Actual results:

Expected results:

Additional info:

Associated revisions

Revision 5234309b - 06/27/2014 03:11 PM - Adam Price 

fixes #6425 - including the url on repo list, BZ 1082761

Revision d99a2344 - 06/30/2014 08:42 AM - Adam Price 

Merge pull request #198 from komidore64/rmi6425-more-info-on-repo-list

fixes #6425 - including the url on repo list, BZ 1082761

History

#1 - 06/30/2014 09:03 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|5234309b45681c8e0a01f117ee9155ad233d6baf.

#2 - 07/07/2014 07:14 AM - Eric Helms

- Triaged set to Yes

#3 - 07/07/2014 07:34 AM - Eric Helms

- Target version set to 48

#4 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
